function ShowMode(mF, oGd, vX, vY, sComp, isAngle)
global ETA
sTitle = [upper(sComp(1)) '_' lower(sComp(2))];
if lower(sComp(1)) == 'h' && ~isAngle
    mF = mF*ETA;
    sTitle = ['\eta_0 ' sTitle];
end
sTitle = ['$' sTitle '$'];
imagesc(vX, vY, mF);
h = gca;
set(h,'YDir','normal');
%fixfonts(h,18)
shading flat
xlabel('x[m]')
ylabel('y[m]')
title(sTitle)
if min(min(mF)) < 0 
    load redblue
    colormap(map)
else
    colormap pink
end
hold on
axis image
draw_geom(oGd, 'nothing');
hold off
h = colorbar;
%fixfonts(h,10)

