function curveArray = clone(vCx, vCy, curve)
% curveArray = CLONE(xCenters, yCenters, curve)
% Clones 'curve' object to create an array of curves 
% centered at coordinates given by (xCenters, yCenters).
nCopy = length(vCx);

for iCopy = 1:nCopy
    curveArray(iCopy) = curve;
    curveArray(iCopy).iCurve = iCopy;
    curveArray(iCopy).xc = vCx(iCopy);
    curveArray(iCopy).yc = vCy(iCopy);
end