function nodeOut = findParent(nodeRoot, nodeIn)
if ~is_first_in_second(nodeIn.curve, nodeRoot.curve)
    nodeOut = 0;
    return
end
if isempty(nodeRoot.children)
    nodeOut = nodeRoot;
    return
end
for iChild = 1:length(nodeRoot.children)
    children = nodeRoot.children;
    nodeOut = findParent(children(iChild), nodeIn);
    if nodeOut ~= 0
        return
    end
end
nodeOut = nodeRoot;