function bOut = is_in_shape(cs, xc, yc, x0, y0)
N = 500;
s = linspace(cs.breaks(1), cs.breaks(end), N);
mX = ppval(cs, s);
vX = mX(1,:) + xc;
vY = mX(2,:) + yc;
vZ = vX + j*vY;
vDz = per_diff(vZ)/2;
vZ = vZ(1:end);
vFz = 1/(2*pi*j)*1./(vZ-x0-j*y0);
winding = vFz*vDz.';
bOut = abs(winding) > 0.5;

