R = 50e-9;
curveArray = primitive('circle', R);
oGd.curveArray = curveArray;
oGd.sdArray = compute_sd_array(curveArray);
oGd.nSd = length(oGd.sdArray);

% set sources' parameters
nSources = 25;
oGd.nSources = nSources;
oGd.nTestingPoints = round(oGd.nSources*2);
oGd.alphaIn = 0.5;
oGd.alphaOut = 0.5;

% set material parameters
Er = 'silver';
oGd.sdArray(1).Er = 1; %first subdomain always includes infinity
oGd.sdArray(2).Er = Er;
oGd.offsetX = 0;
oGd.offsetY = 0;
oGd = orderfields(oGd);
save -mat nanowire.gd oGd