function newGd = updateGd(oGd)
% newGd = UPDATEGD(oGd)
% Update older version of geometry descriptor object (SMTP v1.0) to the
% newer version (SMTP v2.0).

for iCurve = 1:length(oGd.curveArray)
    if ~isfield(oGd.curveArray(iCurve), 'tag')
        oGd.curveArray(iCurve).tag = 'spline';
        oGd.curveArray(iCurve).param = [];
    else
        if isempty(oGd.curveArray(iCurve).tag)
            oGd.curveArray(iCurve).tag = 'spline';
            oGd.curveArray(iCurve).param = [];
        end
    end
end
newGd = oGd;
newGd.curveArray = orderfields(oGd.curveArray);
newGd.sdArray = compute_sd_array(newGd.curveArray);
for iSd = 1:length(newGd.sdArray)
    newGd.sdArray(iSd).Er = oGd.sdArray(iSd).Er;
end
newGd.nSd = length(newGd.sdArray);
