function kc = calc_kc(k0, beta, Er, isImproper)
k = k0*sqrt(Er);
if any(k.^2 == beta.^2)
    beta = k-j*eps*abs(k);
    disp('Warning: Propagation constant is on light line. Results may be inaccurate or unstable')
end
kc = sqrt(k.^2-beta.^2);
bImproper = imag(kc)>0;
if isImproper
    kc(~bImproper) = -kc(~bImproper);
else
    kc(bImproper) = -kc(bImproper);
end