function [rows, cols, bIn_view] = ind(mX, mY, x1, y1, x2, y2)
x0 = mX(1,1);
y0 = mY(1,1);
[max_rows, max_cols] = size(mX);
if max_cols > 1
    dx = abs(mX(1,2)-x0); 
    x1_ind = ceil((x1-x0)/dx)+1-1;
    x2_ind = floor((x2-x0)/dx)+1+1;
else
    x1_ind = 1;
    x2_ind = 1;
end
if max_rows > 1
    dy = abs(mY(2,1)-y0); 
    y1_ind = ceil(-(y1-y0)/dy)+1-1;
    y2_ind = floor(-(y2-y0)/dy)+1+1;
else
    y1_ind = 1;
    y2_ind = 1;
end
if (max(x1_ind, x2_ind) <= 0) | (min(x1_ind, x2_ind) > max_cols) | ...
   (max(y1_ind, y2_ind) <= 0) | (min(y1_ind, y2_ind) > max_rows)
    bIn_view = 0;
else
    bIn_view = 1;
end
x1_ind = min(x1_ind, max_cols);
x1_ind = max(x1_ind, 1);
x2_ind = min(x2_ind, max_cols);
x2_ind = max(x2_ind, 1);
y1_ind = min(y1_ind, max_rows);
y1_ind = max(y1_ind, 1);
y2_ind = min(y2_ind, max_rows);
y2_ind = max(y2_ind, 1);

cols = x1_ind:x2_ind;
rows = y2_ind:y1_ind;