clear
oGd.nSources = 25;
oGd.nTestingPoints = round(oGd.nSources*2);
oGd.alphaIn = 0.5;
oGd.alphaOut = 1;
R = 1; %[m]
curveArray = primitive('circle', R);
oGd.curveArray = curveArray;
oGd.sdArray = compute_sd_array(curveArray);
oGd.nSd = length(oGd.sdArray);

% set material parameters
oGd.sdArray(1).Er = 1.5^2; % background material
oGd.sdArray(2).Er = 1.8^2; % fiber material
oGd.offsetX = 0;
oGd.offsetY = 0;
oGd = orderfields(oGd);
save step_index.gd oGd
