function [sol, err] = my_eigs(A, B, tol, v0)
if ~isempty(v0)
    opts.v0 = v0;
end
opts.tol = tol;
opts.p = 7;
opts.maxit = 10;
opts.issym=0;
opts.isreal = 0;
opts.disp = 0;
flag = [];
while opts.p < 20
    try
        [sol, err, flag] = eigs(A, B, 1, 'sm', opts);
        if flag
            opts.p = opts.p + 2;
        else
            return
        end
    catch
        opts.p = opts.p + 2;
    end
end
[V,D] = eig(A,B, 'qz');
D = real(diag(D));
[D, inD] = sort(D);
err = D(1);
sol = V(:,inD(1));
return